Bug 825970 - Designer: Parallel Gateways validated incorrectly
Designer: Parallel Gateways validated incorrectly
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ER9
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 04:24 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2012-05-29 04:24:37 EDT
Description of problem:
I have a simple process using parallel gateways. The second one, converging, gets the validation marker with "Invalid Gateway direction for Parallel Gateway. It should be 'Converging' or 'Diverging'." even though the direction is there and correct. Node source:
   <bpmn2:parallelGateway xmlns:bpmn2="http://www.omg.org/spec/BPMN/20100524/MODEL" id="_EF54106A-FE8C-47A0-9A77-
   EA2A7630F325" drools:bgcolor="#f0e68c" xmlns:drools="http://www.jboss.org/drools" drools:bordercolor="#a67f00"
   name="" gatewayDirection="Converging">
      <bpmn2:incoming>_5D8DBDC6-F7F0-4065-8331-93218280ADE2</bpmn2:incoming>
      <bpmn2:incoming>_EECF43E0-9D20-4E90-8BDE-3B4D85A3C75B</bpmn2:incoming>
      <bpmn2:outgoing>_31E2DAE0-6BFD-4FCE-86B9-87CADE1F2AF3</bpmn2:outgoing>
    </bpmn2:parallelGateway>
I have no problem saving that process and building the package, the process can be used and works as expected.

I first saw it in ER7, in that build the same appeared for the diverging gateway but that one is okay now. I only reported it now, because the way the Designer behaved in ER7 it might have just been another result of whatever caused the bug 821682. Seems it's not.


Version-Release number of selected component (if applicable):
BRMS 5.3 ER7 (ER8)
Comment 1 Tihomir Surdilovic 2012-05-29 09:12:39 EDT
Fixed in Designer master branch https://github.com/tsurdilo/process-designer/commit/21ec39d9742ea0191a3da8274547ca3ba854b061. Let me know if should move to the production 2.2.x branch.
Comment 2 Lukáš Petrovický 2012-05-29 11:58:11 EDT
(In reply to comment #1)
> Let me know if should move to the production 2.2.x branch.

Please do, it is now a blocker.
Comment 3 Tihomir Surdilovic 2012-05-29 14:25:01 EDT
Done.
Comment 4 Ryan Zhang 2012-06-13 05:32:20 EDT
This issue's fixes  have been picked by ER9. Please verify them on ER9.

Note You need to log in before you can comment on or make changes to this bug.